# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      conftest.py
# Author:       xxxxxxx
# Datetime:     2024/1/4 14:54
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import pytest

from APIAutoTest_v2_my.common.db import DB
from APIAutoTest_v2_my.requests_method.requests_method import RequestsMethod


# 自定义固件
@pytest.fixture(scope="session")
def db_fix():
    db = DB()
    yield db
    db.close()


@pytest.fixture(scope="session")
def req_fix():
    req = RequestsMethod()
    yield req
